import gtk
import gettext

# functions
def exit_program():
	"End cicle main and close aplication"

	print _('Bye bye!')
	gtk.main_quit()
	
def on_delete_event (widget, event, user_data=None):
	exit_program()	

def on_button1_clicked (button, user_data=None):
	exit_program()	

def on_button2_clicked (button, user_data=None):
	print _('Freedom!!!')


# constants
APPNAME = "free4"
DIRLOCALE = "locale"

# where find strings tranaslated
gettext.bindtextdomain(APPNAME,DIRLOCALE)
gettext.textdomain(APPNAME)
_ = gettext.gettext


# create window
window = gtk.Window()

window.set_default_size(300,100)
window.set_title(_('Day of GNOME 2008!'))
window.set_position(1)

# create containers
vbox = gtk.VBox(True,0)
hbox = gtk.HBox(True,10)

# create buttons
button1 = gtk.Button()
button1.set_label(_('Exit'))

button2 = gtk.Button()
button2.set_label(_('Freedom :D'))

# add buttons to container
hbox.pack_start(button1,True,True,False)
hbox.pack_start(button2,True,True,False)
vbox.pack_start(hbox,False,False,False)

# signals
window.connect ("delete_event",on_delete_event)
button1.connect ("clicked",on_button1_clicked)
button2.connect ("clicked",on_button2_clicked)

# add vbox to window
window.add(vbox)

# show all widgets
window.show_all()

# main loop
gtk.main()
