import gtk
import gtk.glade
from pygraphviz import *


# functions
def exit_program():
	"End cicle main and close aplication"

	print "Bye bye!"
	gtk.main_quit()
	

def on_delete_event (widget, event, user_data=None):
	exit_program()	

def on_button1_clicked (button, user_data=None):
	exit_program()	


# load interfaz from xml file
glade_file = gtk.glade.XML ("interfaz.glade",None,None)

# get widgets
window = glade_file.get_widget ("window")
button = glade_file.get_widget ("button")
image = glade_file.get_widget ("image")

# signals
window.connect ("delete_event",on_delete_event)
button.connect ("clicked",on_button1_clicked)

A=AGraph()

A.add_edge(1,2)
A.add_edge(1,3)
A.add_edge(1,4)
A.add_edge(2,5)
A.add_edge(2,7)
A.add_edge(2,8)
A.add_edge(3,9)

# draw with: dot,neato,twopi,fdp,circo,nop
A.draw('simple.png','png','dot') # draw png

# load image generated
image.set_from_file("simple.png")

# show all widgets
window.show_all()

# main loop
gtk.main()
